Package org.stianloader.micromixin.transform.internal.annotation

## Class VirtualFieldOverlayAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation<T>
  - - org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation<MixinFieldStub>
    - - org.stianloader.micromixin.transform.internal.annotation.VirtualFieldOverlayAnnotation

All Implemented Interfaces:
  `java.lang.Comparable<MixinAnnotation<MixinFieldStub>>`

    public class VirtualFieldOverlayAnnotation
    extends AbstractOverlayAnnotation<MixinFieldStub>

### Field Summary

### Fields inherited from class org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation

`logger`

### Constructor Summary

Constructors
`VirtualFieldOverlayAnnotation​(MixinLoggingFacade logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDesiredName​(MixinFieldStub source, org.objectweb.asm.tree.ClassNode target, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)`
`boolean` `handleCollision​(MixinFieldStub source, org.objectweb.asm.tree.ClassNode target, int collidedAccess)` Method that is called if the source collides with an already existing member.

### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation

`apply, collectMappings`

### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation

`compareTo, isCompatible, validateMixin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VirtualFieldOverlayAnnotation

    public VirtualFieldOverlayAnnotation​(@NotNull
                                         MixinLoggingFacade logger)

### Method Detail

#### getDesiredName

    @NotNull
    public java.lang.String getDesiredName​(@NotNull
                                           MixinFieldStub source,
                                           @NotNull
                                           org.objectweb.asm.tree.ClassNode target,
                                           @NotNull
                                           SimpleRemapper remapper,
                                           @NotNull
                                           java.lang.StringBuilder sharedBuilder)

Specified by:
  `getDesiredName` in class `AbstractOverlayAnnotation<MixinFieldStub>`

#### handleCollision

    public boolean handleCollision​(@NotNull
                                   MixinFieldStub source,
                                   @NotNull
                                   org.objectweb.asm.tree.ClassNode target,
                                   int collidedAccess)

Description copied from class: `AbstractOverlayAnnotation`
Method that is called if the source collides with an already existing member.

Specified by:
  `handleCollision` in class `AbstractOverlayAnnotation<MixinFieldStub>`
Parameters:
  `source` - The source handler
  `target` - The target class
  `collidedAccess` - The access modifiers of the member that already exists.
Returns:
  True to overwrite the member, false to abort overlaying.